package com.jianshui.common.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;

import java.util.Map;

/**
 * bean转map
 *
 * @author dxk
 * @date 2022年07月09日 16:11
 */
public class BeanToMapUtils {
    /**
     * @param bean
     * @return
     * @description 对象转Map (fastjson 方式)
     * @author TianwYam
     * @date 2021年6月28日下午5:27:46
     */
    public static Map<String, Object> fastJsonBean2Map(Object bean) {

        return JSON.parseObject(JSON.toJSONString(bean),
                new TypeReference<Map<String, Object>>() {
                });
    }
}
